#line 1 "C:/Users/R-B/Desktop/EmbeddedLab_Code/MikroC_PIC/PIC12LF1822/LED_Dice/LED_Dice.c"
#line 7 "C:/Users/R-B/Desktop/EmbeddedLab_Code/MikroC_PIC/PIC12LF1822/LED_Dice/LED_Dice.c"
const unsigned short TRISA_Data[]= {0xCF, 0xCF, 0xDE, 0xDE, 0xEE, 0xEE};
#line 9 "C:/Users/R-B/Desktop/EmbeddedLab_Code/MikroC_PIC/PIC12LF1822/LED_Dice/LED_Dice.c"
const unsigned short PORT_Data[] = {0x10, 0x20, 0x20, 0x01, 0x10, 0x01};
unsigned int j, i,k, random_num;

void ALL_LEDs_OFF(){
 PORTA = 0x00;
 TRISA = 0xFF;
}



void LED_ON(unsigned short num){
 TRISA = TRISA_Data[num];
 PORTA = PORT_Data[num];
}


void interrupt(){
 if(INTCON.INTF == 1) asm nop;
 INTCON.INTF = 0;
}

void main() {
 ANSELA = 0b00000000;
 TRISA = 0b00001000;
 PORTA = 0;
 OSCCON = 0b01101000;
 INTCON = 0b10010000;
 OPTION_REG.INTEDG = 0;
 Delay_ms(100);


do {
 random_num = rand()%6 ;
 for (j=0; j<=random_num+36; j++){
 i = j%6;
 LED_ON(i);
 for (k=0; k<=j/3; k++){
 Delay_ms(15);
 }
 }
 Delay_ms(2500);
 ALL_LEDs_OFF();
 asm sleep;
 asm nop;
 } while(1);
}
